Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511008 - Most gcc debug objects are missing
Summary: Most gcc debug objects are missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mark Wielaard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 14:05 UTC by Tom Hughes
Modified: 2018-11-28 19:32 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 19:32:30 UTC


Attachments (Terms of Use)

Description Tom Hughes 2017-11-08 14:05:32 UTC
Description of problem:

Most of the .debug files both for gcc itself and the libraries it provides are missing in the F27 build. While gcc-base-debuginfo has images for a few libraries the gcc-debuginfo RPM is basically empty - all it has is the dwz file:

bristol % rpm -ql gcc-debuginfo               
/usr/lib/debug
/usr/lib/debug/.dwz
/usr/lib/debug/.dwz/gcc-7.2.1-2.fc27.x86_64

Version-Release number of selected component (if applicable):

gcc-7.2.1-2.fc27.x86_64

Additional info:

The koji build logs shows lots of .debug files as "Installed (but unpackaged)":

   /usr/bin/gcov-dump
   /usr/lib/debug/usr/bin/c++.debug
   /usr/lib/debug/usr/bin/cc.debug
   /usr/lib/debug/usr/bin/cpp.debug
   /usr/lib/debug/usr/bin/f95.debug
   /usr/lib/debug/usr/bin/g++.debug
   /usr/lib/debug/usr/bin/gcc-ar.debug
   /usr/lib/debug/usr/bin/gcc-nm.debug
   /usr/lib/debug/usr/bin/gcc-ranlib.debug
   /usr/lib/debug/usr/bin/gcc.debug
   /usr/lib/debug/usr/bin/gccgo.debug
   /usr/lib/debug/usr/bin/gcov-dump.debug
   /usr/lib/debug/usr/bin/gcov-tool.debug
   /usr/lib/debug/usr/bin/gcov.debug
   /usr/lib/debug/usr/bin/gfortran.debug
   /usr/lib/debug/usr/bin/gnat.debug
   /usr/lib/debug/usr/bin/gnatbind.debug
   /usr/lib/debug/usr/bin/gnatchop.debug
   /usr/lib/debug/usr/bin/gnatclean.debug
   /usr/lib/debug/usr/bin/gnatfind.debug
   /usr/lib/debug/usr/bin/gnatgcc.debug
   /usr/lib/debug/usr/bin/gnatkr.debug
   /usr/lib/debug/usr/bin/gnatlink.debug
   /usr/lib/debug/usr/bin/gnatls.debug
   /usr/lib/debug/usr/bin/gnatmake.debug
   /usr/lib/debug/usr/bin/gnatname.debug
   /usr/lib/debug/usr/bin/gnatprep.debug
   /usr/lib/debug/usr/bin/gnatxref.debug
   /usr/lib/debug/usr/bin/nvptx-none-as.debug
   /usr/lib/debug/usr/bin/nvptx-none-ld.debug
   /usr/lib/debug/usr/bin/x86_64-redhat-linux-accel-nvptx-none-gcc.debug
   /usr/lib/debug/usr/bin/x86_64-redhat-linux-c++.debug
   /usr/lib/debug/usr/bin/x86_64-redhat-linux-g++.debug
   /usr/lib/debug/usr/bin/x86_64-redhat-linux-gcc-7.debug
   /usr/lib/debug/usr/bin/x86_64-redhat-linux-gcc.debug
   /usr/lib/debug/usr/lib/cpp.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/adalib/libgnarl-6.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/adalib/libgnarl.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/adalib/libgnat-7.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/adalib/libgnat.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libasan.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libatomic.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libcaf_single.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libcilkrts.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgcc.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgcc_eh.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgcov.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgfortran.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgfortran.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgo.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgobegin.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgolibbegin.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgomp.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libgomp.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libitm.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/liblsan.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libmpx.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libmpxwrappers.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libobjc.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libobjc.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libquadmath.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libstdc++.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libstdc++.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libstdc++fs.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libsupc++.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libtsan.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/libubsan.a
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcc1plugin.so.0.0.0.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcc1plugin.so.0.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcc1plugin.so.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcp1plugin.so.0.0.0.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcp1plugin.so.0.debug
   /usr/lib/debug/usr/lib/gcc/x86_64-redhat-linux/7/plugin/libcp1plugin.so.debug
   /usr/lib/debug/usr/lib64/libasan.so.4.0.0.debug
   /usr/lib/debug/usr/lib64/libasan.so.4.debug
   /usr/lib/debug/usr/lib64/libasan.so.debug
   /usr/lib/debug/usr/lib64/libatomic.so.1.2.0.debug
   /usr/lib/debug/usr/lib64/libatomic.so.1.debug
   /usr/lib/debug/usr/lib64/libatomic.so.debug
   /usr/lib/debug/usr/lib64/libcc1.so.0.0.0.debug
   /usr/lib/debug/usr/lib64/libcc1.so.0.debug
   /usr/lib/debug/usr/lib64/libcc1.so.debug
   /usr/lib/debug/usr/lib64/libcilkrts.so.5.0.0.debug
   /usr/lib/debug/usr/lib64/libcilkrts.so.5.debug
   /usr/lib/debug/usr/lib64/libcilkrts.so.debug
   /usr/lib/debug/usr/lib64/libgccjit.so.0.0.1.debug
   /usr/lib/debug/usr/lib64/libgccjit.so.0.debug
   /usr/lib/debug/usr/lib64/libgccjit.so.debug
   /usr/lib/debug/usr/lib64/libgfortran.so.4.0.0.debug
   /usr/lib/debug/usr/lib64/libgfortran.so.4.debug
   /usr/lib/debug/usr/lib64/libgfortran.so.debug
   /usr/lib/debug/usr/lib64/libgnarl-7.so.debug
   /usr/lib/debug/usr/lib64/libgnat-7.so.debug
   /usr/lib/debug/usr/lib64/libgo.so.debug
   /usr/lib/debug/usr/lib64/liblsan.so.0.0.0.debug
   /usr/lib/debug/usr/lib64/liblsan.so.0.debug
   /usr/lib/debug/usr/lib64/liblsan.so.debug
   /usr/lib/debug/usr/lib64/libmpx.so.2.0.1.debug
   /usr/lib/debug/usr/lib64/libmpx.so.2.debug
   /usr/lib/debug/usr/lib64/libmpx.so.debug
   /usr/lib/debug/usr/lib64/libmpxwrappers.so.2.0.1.debug
   /usr/lib/debug/usr/lib64/libmpxwrappers.so.2.debug
   /usr/lib/debug/usr/lib64/libmpxwrappers.so.debug
   /usr/lib/debug/usr/lib64/libobjc.so.4.0.0.debug
   /usr/lib/debug/usr/lib64/libobjc.so.4.debug
   /usr/lib/debug/usr/lib64/libobjc.so.debug
   /usr/lib/debug/usr/lib64/libtsan.so.0.0.0.debug
   /usr/lib/debug/usr/lib64/libtsan.so.0.debug
   /usr/lib/debug/usr/lib64/libtsan.so.debug
   /usr/lib/debug/usr/lib64/libubsan.so.0.0.0.debug
   /usr/lib/debug/usr/lib64/libubsan.so.0.debug
   /usr/lib/debug/usr/lib64/libubsan.so.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/accel/nvptx-none/collect2.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/accel/nvptx-none/lto-wrapper.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/accel/nvptx-none/lto1.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/accel/nvptx-none/mkoffload.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/cc1.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/cc1obj.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/cc1objplus.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/cc1plus.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/collect2.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/f951.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/gnat1.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/go1.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/liblto_plugin.so.0.0.0.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/liblto_plugin.so.0.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/liblto_plugin.so.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/lto-wrapper.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/lto1.debug
   /usr/lib/debug/usr/libexec/gcc/x86_64-redhat-linux/7/plugin/gengtype.debug
   /usr/lib/debug/usr/nvptx-none/bin/as.debug
   /usr/lib/debug/usr/nvptx-none/bin/ld.debug

Comment 1 Ben Cotton 2018-11-27 18:16:35 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Mark Wielaard 2018-11-28 19:32:30 UTC
This is fixed in the f29 package (and possibly earlier releases).


Note You need to log in before you can comment on or make changes to this bug.